﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Edge.Core.Database.Models
{
    public class FuelPointReservation
    {
        public int Id { get; set; }
        /// <summary>
        /// Pump id.
        /// </summary>
        public int FuelPointId { get; set; }
        /// <summary>
        /// Gets or sets the Fdc Client WorkStationId which reserved this fuel point.
        /// the Pos id is the workstation id parameter used in Fdc client connect to Fdc server, each client
        /// should have an unique this id to distinguish from each other.
        /// until 2017 Dec, the pos id is config in COS (web), model: SiteDevice , column: PosDeviceFdcClientId, once the android POS
        /// downloaded this value via AccessToken web service, it will be deducted with 100, and then plus 110, like you config the id in
        /// COS is 109, then in fdc client connection, the final value will be 119.
        /// </summary>
        public int ReservedByFdcClientId { get; set; }
        public DateTime ReservingTime { get; set; }
    }
}
