﻿using  HengshanPaymentTerminal.MessageEntity.Incoming;
using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace  HengshanPaymentTerminal.MessageEntity.Incoming
{
    /// <summary>
    /// Result of the mode change.
    /// 终端回复后台修改授权模式结果。
    /// </summary>
    public class ChangeAuthModeAck : CardMessageBase
    {
        #region Constructor
        
        /// <summary>
        /// Constructor
        /// </summary>
        public ChangeAuthModeAck() : base(Command.ChangeAuthModeAck)
        {
            
        }

        #endregion

        #region Properties

        /// <summary>
        /// Fueling point.
        /// 加油点。
        /// </summary>
        [Format(2, EncodingType.ASCII, -89)]
        public string FuelCode { get; set; }

        /// <summary>
        /// Work mode or auth mode.
        /// 工作模式/授权模式。
        /// </summary>
        [Format(1, EncodingType.BIN, -88)]
        public byte WorkMode { get; set; }

        /// <summary>
        /// Change result, 00 = success, 01 = failure.
        /// 模式切换结果，00=成功，01=失败。
        /// </summary>
        [Format(1, EncodingType.BIN, -87)]
        public int ModeChangeResult { get; set; }

        #endregion
    }
}
