﻿using Edge.Core.Parser.BinaryParser.Attributes;
using HengshanPaymentTerminal.Support;
using System;
using System.Collections.Generic;
using System.Text;

namespace  HengshanPaymentTerminal.MessageEntity.Incoming
{
    public class DataDownloadRequest : CardMessageBase
    {
        public DataDownloadRequest() : base(Command.DataRequest)
        {

        }

        /// <summary>
        /// Data content type.
        /// 油机（终端）下载的数据的类型。
        /// </summary>
        [Format(1, EncodingType.BIN, -90)]
        public DataContentType DataContentType { get; set; }

        /// <summary>
        /// 当下载增删黑名单时有效。
        /// Valid only when newly-added or newly-deleted blacklist download requested.
        /// </summary>
        [Format(2, EncodingType.BIN, -89)]
        public ushort BaseBlackListVersion { get; set; }
    }
}
