﻿using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace  HengshanPaymentTerminal.MessageEntity.Incoming
{
    /// <summary>
    /// A register request from pump to system.
    /// 加油机对后台发起注册请求。
    /// </summary>
    public class RegisterRequest : CardMessageBase
    {
        #region Constructor

        /// <summary>
        /// Constructor
        /// </summary>
        public RegisterRequest() : base(Command.RegisterRequest)
        {

        }

        #endregion

        #region Properties

        /// <summary>
        /// ID of the payment terminal.
        /// 已注册或初始注册的终端号。
        /// </summary>
        [Format(4, EncodingType.BcdString, -90)]
        public string TerminalId { get; set; }

        #endregion
    }
}
