﻿using Edge.Core.Parser.BinaryParser.Attributes;

namespace HengshanPaymentTerminal.MessageEntity.Outgoing
{
    /// <summary>
    /// Request to change the authorization/work mode on pump from system.
    /// 授权模式切换。
    /// </summary>
    public class ChangeAuthMode : CardMessageBase
    {
        #region Constructor

        /// <summary>
        /// Constructor
        /// </summary>
        public ChangeAuthMode() : base(Command.ChangeAuthMode)
        {

        }

        #endregion

        #region Properties

        /// <summary>
        /// Fueling point.
        /// 加油点。
        /// </summary>
        [Format(2, EncodingType.HexString, -90)]
        public string FPCode { get; set; }

        /// <summary>
        /// Work mode to be set.
        /// 期望设置的工作模式。
        /// </summary>
        [Format(1, EncodingType.BIN, -89)]
        public WorkMode WorkMode { get; set; }

        #endregion
    }
}
