﻿using Edge.Core.Parser.BinaryParser.Attributes;
using HengshanPaymentTerminal.Support;
using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.MessageEntity.Outgoing
{
    /// <summary>
    /// Lock or Unlock the pump.
    /// 锁机或解锁油机。
    /// </summary>
    public class LockOrUnlockPumpRequest : CardMessageBase
    {
        #region Constructor

        public LockOrUnlockPumpRequest() : base(Command.LockOrUnlockPump)
        {

        }

        #endregion

        #region Properties

        [Format(2, EncodingType.HexString, -90)]
        public string FPCode { get; set; }

        [Format(1, EncodingType.BIN, -89)]
        public LockUnlockOperation OperationType { get; set; }

        #endregion
    }
}
