﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.Support
{
    /// <summary>
    /// Data content type
    /// 油机（实际为终端，亦称UI板）下载的数据的类型
    /// </summary>
    public enum DataContentType
    {
        /// <summary>
        /// Base blacklist
        /// 基础黑名单
        /// </summary>
        BaseBlacklist = 0x00,

        /// <summary>
        /// Newly added blacklist
        /// 新增/增量黑名单
        /// </summary>
        NewlyAddedBlacklist = 0x01,

        /// <summary>
        /// Newly deleted blacklist
        /// 新删/减量黑名单
        /// </summary>
        NewlyDeletedBlacklist = 0x02,

        /// <summary>
        /// White list
        /// 白名单
        /// </summary>
        Whitelist = 0x03,

        /// <summary>
        /// Fuel price list
        /// 油品油价表
        /// </summary>
        FuelPriceList = 0x04,

        /// <summary>
        /// Station general information
        /// 油站通用信息
        /// </summary>
        StationGeneralInfo = 0x05,

        /// <summary>
        /// Private data (undetermined)
        /// 私有数据（待定）
        /// </summary>
        PrivateData = 0x06,

        /// <summary>
        /// Software download
        /// 下载程序
        /// </summary>
        DownloadSoftware = 0x07,

        /// <summary>
        /// Finger print data download
        /// 下载指纹数据
        /// </summary>
        DownloadFingerPrintData = 0x08
    }
}
