﻿namespace HengshanPaymentTerminal.Support
{
    /// <summary>
    /// Pump states
    /// 油机油泵状态
    /// </summary>
    public enum DispenserState
    {
        /// <summary>
        /// Hengshan_PumpState_NoPumpMode，1，未激活状态
        /// </summary>
        Deactivated = 0x01,

        /// <summary>
        /// Hengshan_PumpState_Locked，2	，关闭状态(锁定)
        /// </summary>
        Closed = 0x02,

        /// <summary>
        /// Hengshan_PumpState_Idle，3，空闲状态 
        /// </summary>
        Idle = 0x03,

        /// <summary>
        /// Hengshan_PumpState_Requesting，4	，提枪状态
        /// </summary>
        Calling = 0x04,

        /// <summary>
        /// Hengshan_PumpState_Released，5，授权状态
        /// </summary>
        Release = 0x05,

        /// <summary>
        /// Hengshan_PumpState_Ready，6，准备加油态
        /// </summary>
        Ready = 0x06,

        /// <summary>
        /// Hengshan_PumpState_Start，7，准备加油起态
        /// </summary>
        Started = 0x07,

        /// <summary>
        /// Hengshan_PumpState_Filling，8，加油态
        /// </summary>
        Filling = 0x08,

        /// <summary>
        /// Hengshan_PumpState_Finishing，9，加油挂起态（定量到）会变成该状态
        /// </summary>
        Finishing = 0x09,

        /// <summary>
        /// Hengshan_PumpState_Authorized，20，已授权未提枪
        /// </summary>
        Authorized = 0x20,
    }
}
