﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.Support
{
    /// <summary>
    /// Represents a fueling point which is the combination of the nozzle and pump.
    /// 加油点（0x00=所有加油点）。
    /// </summary>
    public class FuelingPointCode
    {
        /// <summary>
        /// Nozzle number on the current fueling point.
        /// 当前加油点的油枪号。
        /// </summary>
        public byte NozzleNo { get; set; }

        /// <summary>
        /// The pump number aka fueling point number.
        /// 油点号/泵号。
        /// </summary>
        public byte PumpNo { get; set; }
    }
}
