﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.Support
{
    /// <summary>
    /// Result code of payment processing on system.
    /// 支付处理命令结果代码。
    /// </summary>
    public enum PaymentProcessingResult
    {
        /// <summary>
        /// Indicates payment process OK.
        /// 返回正确支付数据。
        /// </summary>
        Ok = 0x00,

        /// <summary>
        /// No transaction found for this card.
        /// 无此卡交易。
        /// </summary>
        NoTrxFound = 0x01,

        /// <summary>
        /// No POS TTC for this transaction.
        /// 无此流水号。
        /// </summary>
        NoPosTtc = 0x02,

        /// <summary>
        /// No match for this pump sequence number.
        /// 无此油机交易号。
        /// </summary>
        NoSeqNo = 0x03,

        /// <summary>
        /// Other errors.
        /// 其他错误。
        /// </summary>
        OtherErrors = 0x04
    }
}
