﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HengshanPaymentTerminal
{
    /// <summary>
    /// Pump accumulator/totalizer data.
    /// Normally volume, but sometimes amount total could be present.
    /// </summary>
    public class TotalizerDataEventArgs : EventArgs
    {
        public TotalizerDataEventArgs(int nozzleNo, Tuple<long, long> totalizer)
        {
            NozzleNo = nozzleNo;
            Totalizer = totalizer;
        }

        public TotalizerDataEventArgs(Tuple<long, long> totalizer)
        {
            Totalizer = totalizer;
        }

        public int NozzleNo { get; set; }

        /// <summary>
        /// Totalizer data, Item1 is Amount Total, Item2 is Volume Total.
        /// </summary>
        public Tuple<long, long> Totalizer { get; set; }
    }
}
