﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HengshanPaymentTerminal
{
    /// <summary>
    /// The work mode of pumps.
    /// 加油机/后台工作模式。
    /// </summary>
    public enum WorkMode
    {
        /// <summary>
        /// The pump is not enabled.
        /// 未启用。
        /// </summary>
        Disabled = 0x00,

        /// <summary>
        /// Terminal is in self-service mode, pump is automatically authorized from system.
        /// 支付终端自助模式，后台自动授权模式。
        /// </summary>
        SelfServiceAutoAuth = 0x01,

        /// <summary>
        /// Terminal is not is self-service mode, pump is automatically authorized from system.
        /// 支付终端非自助模式，后台自动授权模式。
        /// </summary>
        ServiceAutoAuth = 0x02,

        /// <summary>
        /// Terminal is not in self-service mode, pump is manually authorized from system.
        /// 支付终端非自助模式，后台手动授权模式。
        /// </summary>
        ServiceManualAuth = 0x03,

        /// <summary>
        /// Terminal is not in self-service mode, system pre-authorizes the pump.
        /// 支付终端非自助模式，后台主动授权模式。
        /// </summary>
        ServicePreAuth = 0x04,

        /// <summary>
        /// The pump is in offline mode, transactions are manually recorded.
        /// 脱机模式。
        /// </summary>
        Offline = 0x05
    }
}
