﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FccLite.Web.Domain.FccNozzleInfo
{
    [Table("qr_nozzle")]
    public class FccNozzleInfo
    {
        /// <summary>
        /// 油枪id
        /// </summary>
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long Id { get; set; }

        /// <summary>
        /// 油机ip
        /// </summary>
        public string MachineIp { get; set; }

        /// <summary>
        /// 加油点
        /// </summary>
        public int FuelPoint { get; set; }

        /// <summary>
        /// 内部枪号
        /// </summary>
        public int InternalNum { get; set; }

        /// <summary>
        /// 外部枪号
        /// </summary>
        public int ExternalNum { get; set; }

        /// <summary>
        /// 关联油罐id
        /// </summary>
        [ForeignKey("Tank")]
        public long TankId { get; set; }

        /// <summary>
        /// 关联油罐号
        /// </summary>
        public int TankNum { get; set; }

        public FccTankInfo.FccTankInfo Tank { get; set; }
    }
}
