﻿using FccLite.Web.Domain.FccNozzleInfo;
using FccLite.Web.Domain.FccOilInfo;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FccLite.Web.Domain.FccTankInfo
{

    [Table("qr_oil_tank")]
    public class FccTankInfo
    {
        /// <summary>
        /// 油罐id
        /// </summary>
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long Id { get; set; }

        /// <summary>
        /// 油罐号
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        /// 油罐容量
        /// </summary>
        public decimal Capacity { get; set; }

        /// <summary>
        /// 关联油品名
        /// </summary>
        public string? OilName { get; set; }

        /// <summary>
        /// 关联油品id
        /// </summary>
        [ForeignKey("Oil")]
        public long? OilId { get; set; }

        /// <summary>
        /// 关联站点id
        /// </summary>
        [ForeignKey("Station")]
        public long? StationId { get; set; }

        public FccOilInfo.FccOilInfo? Oil { get; set; }

        public FccStationInfo.FccStationInfo? Station { get; set; }

        public ICollection<FccNozzleInfo.FccNozzleInfo> FccNozzleInfos { get; set; }
    }
}
