﻿using FccLite.Web.Domain.FccNozzleInfo.Input;

namespace FccLite.Web.Repositories.FccNozzleInfo
{
    public interface INozzleInfoReposity
    {
        /// <summary>
        /// 根据油枪 id 找油枪信息
        /// </summary>
        /// <param name="id">油枪id</param>
        /// <returns></returns>
        Task<Domain.FccNozzleInfo.FccNozzleInfo?> GetNozzleInfoById(long id);

        /// <summary>
        /// 新增、修改油枪信息
        /// </summary>
        /// <param name="uploadNozzleInfoInput">油枪信息</param>
        /// <returns></returns>
        Task<int> UploadNozzleInfo(UploadNozzleInfoInput uploadNozzleInfoInput);

        /// <summary>
        /// 根据id 删除油枪信息
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<int> DeleteNozzleInfoById(long id);
    }
}
