﻿
using FccLite.Web.Domain.FccOilInfo.Input;

namespace FccLite.Web.Repositories.FccOilInfo
{
    public interface IOilInfoReposity
    {
        /// <summary>
        /// 新增、更改油品信息
        /// </summary>
        /// <param name="oilInfoInput"></param>
        /// <returns></returns>
        Task<FccLite.Web.Domain.FccOilInfo.FccOilInfo> UploadOilInfo(OilInfoInput oilInfoInput);

        /// <summary>
        /// 分页获取油品信息
        /// </summary>
        /// <param name="page">页码</param>
        /// <param name="size">页数</param>
        /// <param name="id">过滤信息——id</param>
        /// <param name="name">过滤信息——油品名</param>
        /// <param name="code">过滤信息——油品码</param>
        /// <returns></returns>
        Task<IEnumerable<FccLite.Web.Domain.FccOilInfo.FccOilInfo>> GetPage(int page, int size, long? id, string? name, int? code);

        /// <summary>
        /// 通过id 删除油品信息
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<Boolean> DeleteByID(long id);

        /// <summary>
        /// 获取所有油品
        /// </summary>
        /// <returns></returns>
        Task<List<Domain.FccOilInfo.FccOilInfo>> GetOilInfo();
    }
}
