﻿using FccLite.Web.Domain.FccNozzleInfo.Input;
using FccLite.Web.Domain.FccNozzleInfo.Output;

namespace FccLite.Web.Services.FccNozzleInfo
{
    public interface INozzleInfnService
    {
        /// <summary>
        /// 新增、修改油枪信息
        /// </summary>
        /// <param name="nozzleInfoInput">油枪信息</param>
        /// <returns></returns>
        Task<SetNozzleInfoOutput> UploadDetailsNozzleInfo(UploadNozzleInfoInput nozzleInfoInput);

        /// <summary>
        /// 根据id获取油枪信息
        /// </summary>
        /// <param name="id">油枪id</param>
        /// <returns></returns>
        Task<DetailsNozzleInfoOutput?> GetDetailsNozzleInfoById(long id);

        /// <summary>
        /// 根据油枪id删除油枪信息
        /// </summary>
        /// <param name="id">油枪id</param>
        /// <returns></returns>
        Task<SetNozzleInfoOutput> DeleteNozzleInfoByID(long id);
    }
}
