﻿using FccLite.Web.Domain.FccOilInfo.Input;
using FccLite.Web.Domain.FccOilInfo.Ouput;

namespace FccLite.Web.Services.FccOilInfo
{
    public interface IOilInfoService
    {
        /// <summary>
        /// 分页获取油品信息
        /// </summary>
        /// <param name="page">页码</param>
        /// <param name="size">页数</param>
        /// <param name="id">过滤条件——id</param>
        /// <param name="name">过滤条件——油品名</param>
        /// <param name="code">过滤条件——油品码</param>
        /// <returns></returns>
        Task<OilInfoOutput> GetPage(int page, int size, long? id, string? name, int? code);

        /// <summary>
        /// 新增、修改油品信息
        /// </summary>
        /// <param name="oilInfoInput">油品信息</param>
        /// <returns></returns>
        Task<OilInfoSetOutput> Save(OilInfoInput oilInfoInput);

        /// <summary>
        /// 通过 id 删除油品信息
        /// </summary>
        /// <param name="id">id</param>
        /// <returns></returns>
        Task<OilInfoSetOutput> DeleteById(long id);
    }
}
